Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# ISceneManager.h File Reference

`#include "IReferenceCounted.h"`
`#include "irrArray.h"`
`#include "irrString.h"`
`#include "path.h"`
`#include "vector3d.h"`
`#include "dimension2d.h"`
`#include "SColor.h"`
`#include "ETerrainElements.h"`
`#include "ESceneNodeTypes.h"`
`#include "ESceneNodeAnimatorTypes.h"`
`#include "EMeshWriterEnums.h"`
`#include "SceneParameters.h"`
`#include "IGeometryCreator.h"`
`#include "ISkinnedMesh.h"`

Go to the source code of this file.

## Classes

class | irr::scene::ISceneManager
| The Scene Manager manages scene nodes, mesh recources, cameras and all the other stuff. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::gui

| The gui namespace contains useful classes for easy creation of a graphical user interface.
namespace | irr::io

| This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...
namespace | irr::scene

| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...
namespace | irr::scene::quake3
namespace | irr::video

| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum | irr::scene::E_SCENE_NODE_RENDER_PASS { irr::scene::ESNRP_NONE = 0, irr::scene::ESNRP_CAMERA = 1, irr::scene::ESNRP_LIGHT = 2, irr::scene::ESNRP_SKY_BOX = 4, irr::scene::ESNRP_AUTOMATIC = 24, irr::scene::ESNRP_SOLID = 8, irr::scene::ESNRP_TRANSPARENT = 16, irr::scene::ESNRP_TRANSPARENT_EFFECT = 32, irr::scene::ESNRP_SHADOW = 64 }
| Enumeration for render passes. More...

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:06:59 2010 by Doxygen (1.6.2)